
<ion-content class="ion-padding">

  <ion-label class="ion-align-self-center">
    <ion-img src="../../../assets/img/logo.png" style="width:50%; margin-left:25%" class="ion-padding ion-align-self-center"></ion-img>
    <ion-text color="primary">
      <h1 style="font-size: 52px;
                font-weight: bolder;"
          class="ion-text-center">UFUL</h1>
    </ion-text>
    <p class="ion-text-center"> Inicia sesión o regístrate para empezar</p>
  </ion-label>

  <ion-list >

    <ion-item shape="round" fill="outline" class="ion-padding-horizontal" lines="inset">
      <ion-label position="floating">Email</ion-label>
      <ion-input type="email" [(ngModel)] = "email"></ion-input>
      <ion-note class="ion-padding-bottom" slot="helper">Enter a valid email</ion-note>
      <ion-note class="ion-padding-bottom" slot="error">Invalid email</ion-note>
    </ion-item>



    <ion-item shape="round" fill="outline" class="ion-padding-horizontal" lines="inset" >
      <ion-label position="floating">{{name}}</ion-label>
      <ion-input [type]="typePassword" [(ngModel)]="contrasena" minlength="8"></ion-input>
      <ion-note slot="helper">Enter a valid password</ion-note>
      <ion-note slot="error">Invalid password</ion-note>
      <ion-icon slot="end" *ngIf="showPassword" (click)="toogleShowPassword()" name="eye-outline"></ion-icon>
      <ion-icon slot="end" *ngIf="!showPassword" (click)="toogleShowPassword()" name="eye-off-outline"></ion-icon>
    </ion-item>


    <ion-item class="ion-justify-content-center" lines="none">
      <ion-buttons slot="start">
        <ion-button expand="block" fill="clear" color="primary" routerLink="/recuperar">¿Olvidaste tu contraseña?</ion-button>
      </ion-buttons>
    </ion-item>

    <ion-item>
      <ion-grid>
        <ion-row>
          <ion-col size="12" class="ion-justify-content-center">
            <ion-button shape="round" size="large"  expand="full" fill="solid" color="primary" (click)="login()">Iniciar sesión</ion-button>
          </ion-col>
          <ion-row>
            <ion-col size="12" class="ion-justify-content-center">
              <p class="ion-text-center"> O si no tienes una cuenta </p>
            </ion-col>
          </ion-row>
          <ion-col size="12" class="ion-justify-content-center">
            <ion-button shape="round" size="medium" expand="full" fill="solid" color="secondary" routerLink="/registro">Regístrate</ion-button>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-item>

  </ion-list>

  <app-social-media-login></app-social-media-login>

</ion-content>
